Bug 833227 - [abrt] avant-window-navigator-0.4.1-0.4.bzr830.fc16: codecs.py:881:open:IOError: [Errno 13] Permission denied: '/home/rockydj/.config/autostart/awn.desktop'
[abrt] avant-window-navigator-0.4.1-0.4.bzr830.fc16: codecs.py:881:open:IOErr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avant-window-navigator (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:beaf70e015c1d31165cc09151cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 19:42 EDT by Manojkumar Muralidharan
Modified: 2013-08-01 08:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manojkumar Muralidharan 2012-06-18 19:42:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/awn-settings --panel-id=1
executable:     /usr/bin/awn-settings
kernel:         3.3.5-2.fc16.x86_64
time:           Sun 17 Jun 2012 03:40:54 PM EDT
uid:            500
username:       shadow

backtrace:
:codecs.py:881:open:IOError: [Errno 13] Permission denied: '/home/rockydj/.config/autostart/awn.desktop'
:
:Traceback (most recent call last):
:  File "/usr/share/avant-window-navigator/awn-settings/awnClass.py", line 966, in autostart_changed
:    self.create_autostarter()
:  File "/usr/share/avant-window-navigator/awn-settings/awnClass.py", line 1012, in create_autostarter
:    starter_item.write()
:  File "/usr/lib/python2.7/site-packages/xdg/IniFile.py", line 294, in write
:    fp = codecs.open(filename, 'w')
:  File "/usr/lib64/python2.7/codecs.py", line 881, in open
:    file = __builtin__.open(filename, mode, buffering)
:IOError: [Errno 13] Permission denied: '/home/rockydj/.config/autostart/awn.desktop'
:
:Local variables in innermost frame:
:filename: '/home/rockydj/.config/autostart/awn.desktop'
:mode: 'w'
:buffering: 1
:errors: 'strict'
:encoding: None

comment:
:I tried to add awn to startup by enabling the options in the preferences. And that's when the error occured. I am unable to add awn to startup. I also tried running avant-window-navigator in sudo mode, but I got the following error 
:Gtk-Message: Failed to load module "pk-gtk-module"
:** Message: pygobject_register_sinkfunc is deprecated (AwnOverlay)
:Awn Settings can't be run as root.

smolt_data:
:
:
:General
:=================================
:UUID: 7f410d1a-5123-4140-b469-8533c339c7c0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4589.48
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 5885
:System Swap: 7935
:Vendor: Dell Inc.
:System: Dell System XPS L502X 
:Form factor: Portable
:Kernel: 3.4.2-4.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4136:1206) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(4147:404:4136:1206) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:278:4136:1206) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1206) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1206) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1206) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3573:4136:1206) pci, None, VIDEO, N/A
:(32902:7192:4136:1206) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1206) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4332:33128:4136:1206) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7202:4136:1206) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:131:32902:4901) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7171:4136:1206) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1206) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1206) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1206) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1206) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1206) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:32902:8208) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_wolverine-lv_root / ext4 4096 4096 13092922 9224082 9093040 3276800 2767891 2767891
:/dev/mapper/vg_wolverine-lv_home /home ext4 4096 4096 72751782 63403283 59761530 18210816 17943942 17943942
:/dev/sda5 /boot ext4 1024 1024 508745 330869 305269 128016 127670 127670
:
Comment 1 Fedora End Of Life 2013-07-04 00:03:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 08:34:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.